> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/infra-controller/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/infra-controller/_mcp/server.

# Retrieve Tenant Account

GET https://nico-rest-api.nico.svc.cluster.local/v2/org/{org}/nico/tenant/account/{accountId}

Retrieve a Tenant Account by ID

Either `infrastructureProviderId` or `tenantId` query param must be specified.

If `infrastructureProviderId` query param is provided, then org must have an Infrastructure Provider entity and its ID should match the query param value. User must have authorization role with `PROVIDER_ADMIN` suffix.

If `tenantId` query param is provided, then org must have a Tenant entity and its ID should match the query param value. User must have authorization role with `TENANT_ADMIN` suffix.

Reference: https://docs.nvidia.com/infra-controller/infra-controller/rest-api-reference/api-reference/tenant-account/get-tenant-account

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: NVIDIA Infra Controller REST API
  version: 1.0.0
paths:
  /v2/org/{org}/nico/tenant/account/{accountId}:
    get:
      operationId: get-tenant-account
      summary: Retrieve Tenant Account
      description: >-
        Retrieve a Tenant Account by ID


        Either `infrastructureProviderId` or `tenantId` query param must be
        specified.


        If `infrastructureProviderId` query param is provided, then org must
        have an Infrastructure Provider entity and its ID should match the query
        param value. User must have authorization role with `PROVIDER_ADMIN`
        suffix.


        If `tenantId` query param is provided, then org must have a Tenant
        entity and its ID should match the query param value. User must have
        authorization role with `TENANT_ADMIN` suffix.
      tags:
        - subpackage_tenantAccount
      parameters:
        - name: org
          in: path
          description: Name of the Org
          required: true
          schema:
            type: string
        - name: accountId
          in: path
          description: ID of the Tenant Account
          required: true
          schema:
            type: string
            format: uuid
        - name: infrastructureProviderId
          in: query
          description: Filter Tenant Accounts by Infrastructure Provider ID
          required: false
          schema:
            type: string
            format: uuid
        - name: tenantId
          in: query
          description: Filter Tenant Accounts by Tenant ID
          required: false
          schema:
            type: string
            format: uuid
        - name: includeRelation
          in: query
          description: Related entity to expand
          required: false
          schema:
            $ref: >-
              #/components/schemas/V2OrgOrgNicoTenantAccountAccountIdGetParametersIncludeRelation
        - name: Authorization
          in: header
          description: >-
            ```

            export JWT_BEARER_TOKEN="<jwt-bearer-token>"


            # Example org name: "acme-inc

            export ORG_NAME=<org-name>


            # Use the JWT bearer token in your API request auth header:

            curl -v -X GET -H "Content-Type: application/json" -H
            "Authorization: Bearer $JWT_BEARER_TOKEN"
            https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

            ```
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantAccount'
        '403':
          description: >-
            Error response when user is not authorized to call an endpoint or
            retrieve/modify objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NICoAPIError'
servers:
  - url: https://nico-rest-api.nico.svc.cluster.local
    description: Kubernetes Cluster
components:
  schemas:
    V2OrgOrgNicoTenantAccountAccountIdGetParametersIncludeRelation:
      type: string
      enum:
        - InfrastructureProvider
        - Tenant
      title: V2OrgOrgNicoTenantAccountAccountIdGetParametersIncludeRelation
    User:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the given user.
        email:
          type:
            - string
            - 'null'
          format: email
        firstName:
          type:
            - string
            - 'null'
        lastName:
          type:
            - string
            - 'null'
        created:
          type: string
          format: date-time
          description: The date that the user was created.
        updated:
          type: string
          format: date-time
      description: Details of the user collected from authentication tokens
      title: User
    TenantAccountStatus:
      type: string
      enum:
        - Pending
        - Invited
        - Ready
        - Error
      description: Status values for Tenant Account objects
      title: TenantAccountStatus
    StatusDetail:
      type: object
      properties:
        status:
          type: string
        message:
          type:
            - string
            - 'null'
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
      description: Describes the details of a status transition for a resource
      title: StatusDetail
    TenantAccount:
      type: object
      properties:
        id:
          type: string
          format: uuid
        infrastructureProviderId:
          type: string
          format: uuid
        infrastructureProviderOrg:
          type: string
        tenantId:
          type:
            - string
            - 'null'
          format: uuid
        tenantOrg:
          type:
            - string
            - 'null'
        tenantContact:
          $ref: '#/components/schemas/User'
        allocationCount:
          type: integer
        status:
          $ref: '#/components/schemas/TenantAccountStatus'
        statusHistory:
          type: array
          items:
            $ref: '#/components/schemas/StatusDetail'
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
      description: Associates a Tenant with an Infrastructure Provider
      title: TenantAccount
    NiCoApiErrorSource:
      type: string
      enum:
        - nico
      description: Source of the error.
      title: NiCoApiErrorSource
    NiCoApiErrorData:
      type: object
      properties: {}
      description: Additional data about the error
      title: NiCoApiErrorData
    NICoAPIError:
      type: object
      properties:
        source:
          $ref: '#/components/schemas/NiCoApiErrorSource'
          description: Source of the error.
        message:
          type: string
          description: Message describing the error
        data:
          oneOf:
            - $ref: '#/components/schemas/NiCoApiErrorData'
            - type: 'null'
          description: Additional data about the error
      description: Describes the error response from NVIDIA Infra Controller REST API
      title: NICoAPIError
  securitySchemes:
    JWTBearerToken:
      type: http
      scheme: bearer
      description: >-
        ```

        export JWT_BEARER_TOKEN="<jwt-bearer-token>"


        # Example org name: "acme-inc

        export ORG_NAME=<org-name>


        # Use the JWT bearer token in your API request auth header:

        curl -v -X GET -H "Content-Type: application/json" -H "Authorization:
        Bearer $JWT_BEARER_TOKEN"
        https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

        ```

```

## Examples



**Response**

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "infrastructureProviderId": "e94bcfda-f6cb-42e4-80ec-516811e5abbf",
  "infrastructureProviderOrg": "xskkpgqpeakn",
  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
  "tenantOrg": "rf43bbtnb9c5",
  "tenantContact": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "email": "janed@nvidia.com",
    "firstName": "Jane",
    "lastName": "Doe",
    "created": "2019-08-24T14:15:22Z",
    "updated": "2019-08-24T14:15:22Z"
  },
  "allocationCount": 2,
  "status": "Ready",
  "statusHistory": [
    {
      "status": "Ready",
      "message": "Account ready, Tenant accepted invite",
      "created": "2019-08-24T14:15:22Z",
      "updated": "2019-08-24T14:15:22Z"
    },
    {
      "status": "Invited",
      "message": "Request received, pending Tenant acceptance",
      "created": "2019-08-24T14:15:22Z",
      "updated": "2019-08-24T14:15:22Z"
    }
  ],
  "created": "2019-08-24T14:15:22Z",
  "updated": "2019-08-24T14:15:22Z"
}
```

**SDK Code**

```python example-1
import requests

url = "https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/tenant/account/accountId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript example-1
const url = 'https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/tenant/account/accountId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go example-1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/tenant/account/accountId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby example-1
require 'uri'
require 'net/http'

url = URI("https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/tenant/account/accountId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java example-1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/tenant/account/accountId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php example-1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/tenant/account/accountId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp example-1
using RestSharp;

var client = new RestClient("https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/tenant/account/accountId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift example-1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/tenant/account/accountId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```